# Amuse: amuse::IBackendVoice Class Reference

amuse::IBackendVoice Class Referenceabstract

`#include <IBackendVoice.hpp>`

Inheritance diagram for amuse::IBackendVoice:
Collaboration diagram for amuse::IBackendVoice:

## Public Member Functions

virtual void | resetSampleRate (double sampleRate)=0
virtual void | setMatrixCoefficients (const float coefs[8])=0
virtual void | setPitchRatio (double ratio, bool slew)=0
virtual void | start ()=0
virtual void | stop ()=0

## Detailed Description

Client-implemented voice instance

Definition at line 29 of file IBackendVoice.hpp.

## Member Function Documentation

virtual void amuse::IBackendVoice::resetSampleRate | ( | double | sampleRate | ) |

pure virtual

Set new sample rate into platform voice (may result in artifacts while playing)

Implemented in amuse::BooBackendVoice.

virtual void amuse::IBackendVoice::setMatrixCoefficients | ( | const float | coefs[8] | ) |

pure virtual

Set channel-gains for audio source (AudioChannel enum for array index)

Implemented in amuse::BooBackendVoice.

virtual void amuse::IBackendVoice::setPitchRatio | ( | double | ratio,
|  | bool | slew
| ) |  |

pure virtual

Called by client to dynamically adjust the pitch of voices with dynamic pitch enabled

Implemented in amuse::BooBackendVoice.

virtual void amuse::IBackendVoice::start | ( |  | ) |

pure virtual

Instructs platform to begin consuming sample data; invoking callback as needed

Implemented in amuse::BooBackendVoice.

virtual void amuse::IBackendVoice::stop | ( |  | ) |

pure virtual

Instructs platform to stop consuming sample data

Implemented in amuse::BooBackendVoice.

The documentation for this class was generated from the following file:

- include/amuse/IBackendVoice.hpp